%global pypi_name iterable-io
%global alt_name iterable_io

%global common_description %{expand:
iterable-io is a small Python library that provides an adapter so that it's
possible to read from iterable objects in the same way as file-like objects.}

Name:           python-%{pypi_name}
Summary:        Adapt generators and other iterables to a file-like interface
Version:        1.0.0
Release:        1%{?dist}
License:        LGPLv3

URL:            https://github.com/pR0Ps/iterable-io
Source0:        %{pypi_source}

BuildArch:      noarch

# System dependencies
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

# Testing dependencies
BuildRequires:  python3dist(pytest)

%description %{common_description}


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %{common_description}


%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{alt_name}.egg-info


%build
%py3_build


%install
%py3_install


%check
%{__python3} -m pytest tests


%files -n python3-%{pypi_name}
%doc README.md

%{python3_sitelib}/iterableio.py
%{python3_sitelib}/__pycache__/iterableio.*
%{python3_sitelib}/%{alt_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Jun 30 2024 Kyle Bloom <kylejbloom@gmail.com> - 1.0.0-1
- Initial package.

